linuxsir首页 LinuxSir.Org | Linux、BSD、Solaris、Unix | 开源传万世,因有我参与欢迎您!
网站首页 | 设为首页 | 加入收藏
您所在的位置:主页 > Linux发行版Archlinux >

ImageMagick 安全限制绕过漏洞(CVE-2016-10060)

时间:2017-03-06  来源:未知  作者:linuxsir首页
ImageMagick 安全限制绕过漏洞(CVE-2016-10060)


发布日期:2017-02-15
更新日期:2017-03-03

受影响系统:

ImageMagick ImageMagick < 7.0.1-10

描述:


BUGTRAQ  ID: 95208
CVE(CAN) ID: CVE-2016-10060

ImageMagick是一款Unix/Linux平台下开源的图像查看和编辑工具。

ImageMagick < 7.0.1-10版本中,MagickWand/magick-cli.c/ConcatenateImages函数未检查fputc函数返回值,在实现中存在安全漏洞。远程攻击者通过构造的文件,利用此漏洞可造成拒绝服务(应用崩溃)。

<*来源:Bastien Roucaries
  *>

建议:


厂商补丁:

ImageMagick
-----------
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

https://github.com/ImageMagick/ImageMagick/commit/933e96f01a8c889c7bf5ffd30020e86a02a046e7

https://github.com/ImageMagick/ImageMagick/issues/196

https://bugzilla.redhat.com/show_bug.cgi?id=1410470

相关阅读

利用ImageMagick绘制三基色原理图 http://www.linuxidc.com/Linux/2012-09/70007.htm

Linux下PHP支持ImageMagick和MagicWandForPHP http://www.linuxidc.com/Linux/2011-01/31539.htm

Linux下用ImageMagick玩图像魔术 http://www.linuxidc.com/Linux/2010-06/26921.htm

Linux下ImageMagick和MagicWand For PHP的安装 http://www.linuxidc.com/Linux/2008-07/14525.htm

Linux下ImageMagick和JMagick的安装整理 http://www.linuxidc.com/Linux/2008-09/15649.htm

ImageMagick 的详细介绍:请点这里
ImageMagick 的下载地址:请点这里

友情链接